#include <stdio.h>

#define MAXSIZE 72

int max(int a, int b){
  return a > b ? a : b;
}

struct bigNumber{
  int v[MAXSIZE];
  int nrcf = 0;

  void init(){
    for(int i = 0; i < MAXSIZE; i++)
      v[i] = 0;
  }

  void addBack(int cf){
    v[nrcf++] = cf;
  }

  void flip(){
    int aux;
    for(int i = 0; i < nrcf/2; i++){
      aux = v[i];
      v[i] = v[nrcf-i-1];
      v[nrcf-i-1] = aux;
    }
  }
};

int main(){
  struct bigNumber a;
  struct bigNumber b;
  struct bigNumber c;
  int i, cf, maxSize;
  char ch;

  a.init();
  b.init();
  c.init();

  ch = fgetc(stdin);
  while(ch != ' '){
    a.addBack(ch-'0');
    ch = fgetc(stdin);
  }

  ch = fgetc(stdin);
  while(ch != '\n'){
    b.addBack(ch-'0');
    ch = fgetc(stdin);
  }

  a.flip();
  b.flip();

  maxSize = max(a.nrcf, b.nrcf);
  cf = 0;
  for(i = 0; i < maxSize; i++){
    cf += a.v[i] + b.v[i];
    c.addBack(cf%10);
    cf /= 10;
  }
  while(cf > 0){
    c.addBack(cf%10);
    cf /= 10;
  }

  for(i = c.nrcf-1; i >= 0; i--)
    fputc(c.v[i]+'0', stdout);

  return 0;
}
//4 2
