#include <stdio.h>
#include "absent.h"

#define MAXN 1000
#define MAXBIT 10

int maxS, nrFound, i, leadingNr, p2, j;
int foundS[MAXN+1];
int leadingNum[MAXN+1][MAXBIT];

int searchPos(){
  int ap, pos;

  ap = 0;
  for(pos = 1; pos <= maxS; pos++){
    if(leadingNum[pos][j] == leadingNr && foundS[pos] == 0){
      ap++;
      nrFound = pos;
    }
  }

  return ap;
}

void play(int n){
  maxS = n;

  for(i = 1; i <= MAXN; i++){
    leadingNr = 0;
    p2 = 1;
    for(j = MAXBIT; j >= 1; j--){
      leadingNr += (i/p2%2) * p2;
      leadingNum[i][j] = leadingNr;
      p2 *= 2;
    }
  }

  for(i = 1; i <= n-1; i++){
    leadingNr = 0;
    j = 11;
    p2 = 1;
    nrFound = 0;
    do{
      j--;
      leadingNr += get_bit(i, j)*p2;
      p2 *= 2;
    }while(searchPos() > 1);

    foundS[nrFound] = 1;
  }

  i = 1;
  while(i <= n && foundS[i] == 1)
    i++;
  submit_absent(i);
}
/*
4 2
4 1 3
*/
