#include <bits/stdc++.h>
#include "absent.h"
#define MAX_QUERIES 12000
using namespace std;

const int MAXN = 1024;

int _n, _m;
int _a[MAXN];
int _query_number = 0;

bool get_bit(int i, int j)
{
    _query_number++;
    //printf("get_bit: %d %d\n", i, j);

    if (_query_number > MAX_QUERIES)
    {
        printf("Too many questions\n");
        exit(0);
    }
    if (i <= 0 or i > _n - 1 or j <= 0 or j > 10)
    {
        printf("Question is not valid\n");
        exit(0);
    }

    int ans = (_a[i] & (1 << (10 - j))) ? 1 : 0;
    return ans;
}

void submit_absent(int m)
{
    printf("submit_absent: %d\n", m);

    if (m != _m) printf("Incorrect number of absent student\n");
    else printf("Correct with total question used: %d\n", _query_number);

    exit(0);
}

void play (int n) {
    int cnt = n;
    vector <int> cur;
    int num = 0;
    for (int i = 1; i < n; i++) cur.push_back(i);
    for (int bit = 10; bit >= 1; bit--) {
        vector <int> br0, br1;
        for (auto x : cur) {
            if (get_bit(x, bit)) {
                br1.push_back(x);
            }
            else br0.push_back(x);
        }
        int br = 0;
        int lst = 0;
        for (int cnum = 1; cnum <= n; cnum++) {
            bool f = cnum & (1 << (10 - bit));
            for (int cbit = 0; (1 << cbit) <= 10 - bit; cbit++) {
                if ((num & (1 << cbit)) != (cnum & (1 << cbit))) f = false;
            }
            if (f) {
                br++;
                lst = cnum;
            }
        }
        if (br == 1) {
            submit_absent(lst);
            return;
        }
        if (br1.size() != br) {
            num += (1 << (10 - bit));
            cur = br1;
        }
        else cur = br0;
    }
    submit_absent(num);
}

int main()
{
    scanf("%d%d", &_n, &_m);

    printf("%d %d\n", _n , _m);
    for (int i = 1; i < _n; ++ i)
    {
        scanf("%d", &_a[i]);
    }

    play(_n);

    return 0;
}
