#include <bits/stdc++.h>
using namespace std;
using ll = long long;


void solve() {
    string a, b;
    cin >> a >> b;
    reverse(a.begin(), a.end());
    reverse(b.begin(), b.end());

    ll cr = 0;
    vector<ll> rs;
    for (ll i = 0; i < (ll)max(a.size(), b.size()); i++) {
        ll x1 = (i < (ll)a.size() ? (a[i] - '0') : 0);
        ll x2 = (i < (ll)b.size() ? (b[i] - '0') : 0);
        ll sum = (x1 + x2 + cr);
        rs.push_back(sum % 10);
        cr = (sum >= 10);
    }
    if (cr) {
        rs.push_back(cr);
    }
    reverse(rs.begin(), rs.end());
    for (auto &el : rs) {
        cout << el;
    }
    cout << '\n';
}


int main() {
    bool IS_MULTITEST = 0;
    #ifdef flam3
        freopen("ain.txt", "r", stdin);
        IS_MULTITEST = 1;
    #endif
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    ll t = 1;
    if (IS_MULTITEST) {
        cin >> t;
    }
    while (t--) {
        solve();
    }
}