#include "absent.h"
#include <vector>

const int BITS = 10;

void play(int n) {
  std::vector<int> cand;
  for(int i = 0; i < n - 1; i++) {
    cand.push_back(i);
  }
  int left = 1, right = n;
  int r = 0;
  for(int bit = BITS - 1; bit >= 0; bit--) {
    int cnt[2] = {0, 0};
    std::vector<int> res;
    for(int x : cand) {
      int y = get_bit(x + 1, BITS - bit);
      res.push_back(y);
      cnt[y]++;
    }
    int expected = 0;
    for(int i = left; i <= right; i++) {
      expected += !((i >> bit) & 1);
    }
    std::vector<int> new_cand;
    if(cnt[0] < expected) {
      int nl = -1, nr = -1;
      for(int i = left; i <= right; i++) {
        if(!((i >> bit) & 1)) {
          if(nl == -1) {
            nl = i;
          }
          nr = i;
        }
      }
      left = nl;
      right = nr;
      r = r * 2 + 0;
      int cnt = 0;
      for(int x : cand) {
        if(res[cnt] == 0) {
          new_cand.push_back(x);
        }
        cnt++;
      }
    } else {
      int nl = -1, nr = -1;
      for(int i = left; i <= right; i++) {
        if((i >> bit) & 1) {
          if(nl == -1) {
            nl = i;
          }
          nr = i;
        }
      }
      left = nl;
      right = nr;
      r = r * 2 + 1;
      int cnt = 0;
      for(int x : cand) {
        if(res[cnt] == 1) {
          new_cand.push_back(x);
        }
        cnt++;
      }
    }
    cand = new_cand;
  }
  submit_absent(r);
}