#include <bits/stdc++.h>
using namespace std;

pair <vector <int>, vector <int>> cnt(vector <int>& numbers, int bit) {
    vector <int> zeroes, ones;

    for (int x : numbers) {
        if (1 & (x >> bit)) ones.push_back(x);
        else zeroes.push_back(x);
    }

    pair <vector <int>, vector <int>> ans = {zeroes, ones};
    return ans;
}

void play(int n) {
    vector <int> indices, numbers;

    for (int i = 1; i < n; i++) {
        indices.push_back(i);
        numbers.push_back(i);
    }

    numbers.push_back(n);
    int missing = 0;

    for (int p = 0; p < 10; p++) {
        const auto& [zeroes, ones] = cnt(numbers, p);
        vector <int> zeroes_indices, ones_indices;

        for (int x : indices) {
            if (get_bit(x, 10 - p)) ones_indices.push_back(x);
            else zeroes_indices.push_back(x);
        }

        if (zeroes_indices.size() != zeroes.size()) {
            indices = zeroes_indices;
            numbers = zeroes;

            if (numbers.size() == 1) submit_absent(numbers.back());
        } else {
            indices = ones_indices;
            numbers = ones;

            if (numbers.size() == 1) submit_absent(numbers.back());
        }
    }
}
